package com.javainuse.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import com.javainuse.Application;
import com.javainuse.domain.service.AccountService;
import com.javainuse.infrastructure.adapter.AccountRepository;

@Configuration
@ComponentScan(basePackageClasses = Application.class)
public class BeanConfiguration {

    @Bean
    AccountService bankAccountService(AccountRepository repository) {
        return new AccountService(repository, repository);
    }

}
